Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftBackdropCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftBackdropCount

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftBackdropCount extends TdApi.Object
Describes a backdrop of an upgraded gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.UpgradedGiftBackdrop`
  `backdrop`
  The backdrop.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `totalCount`
  Total number of gifts with the symbol.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftBackdropCount()`
  Describes a backdrop of an upgraded gift.
  `UpgradedGiftBackdropCount(TdApi.UpgradedGiftBackdrop backdrop, int totalCount)`
  Describes a backdrop of an upgraded gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### backdrop

    public TdApi.UpgradedGiftBackdrop backdrop
    The backdrop.

  - ### totalCount

    public int totalCount
    Total number of gifts with the symbol.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftBackdropCount

    public UpgradedGiftBackdropCount()
    Describes a backdrop of an upgraded gift.

  - ### UpgradedGiftBackdropCount

    public UpgradedGiftBackdropCount(TdApi.UpgradedGiftBackdrop backdrop, int totalCount)
    Describes a backdrop of an upgraded gift.
    Parameters:
      `backdrop` - The backdrop.
      `totalCount` - Total number of gifts with the symbol.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR